package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaHmMarketingItempoolCreateactivityItemPoolActivity `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItempoolCreateactivityRequest) SetParam(v domain.AlibabaHmMarketingItempoolCreateactivityItemPoolActivity) *AlibabaHmMarketingItempoolCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItempoolCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
